#ifndef SCOPE_H
#define SCOPE_H

#include <QWidget>
#include <QTimer>

class Scope : public QWidget
{
    Q_OBJECT

public:
     Scope(QWidget *parent = 0);
    ~Scope();

public slots:
     void getData();

protected:
     void paintEvent(QPaintEvent *event);

private:
     char * data;
     char dataAquired;

     QTimer *updateTimer;
};

#endif
